"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _neoBlessed = _interopRequireDefault(require("neo-blessed"));

var _path = require("path");

var _reactBlessed = require("react-blessed");

var _app = require("./app/app.container");

const pkg = require(`../package.json`);

const projectPkg = require(`${process.cwd()}/package.json`);

const screen = _neoBlessed.default.screen({
  title: `${pkg.name} v${pkg.version}`,
  tabSize: 2,
  autoPadding: true,
  // Whether the focused element grabs all keypresses
  grabKeys: true,
  lockKeys: true,
  smartCSR: true,
  dockBorders: true,
  fullUnicode: true,
  ignoreLocked: ["C-c", "tab"],
  debug: true
});

var _default = ({
  requireModules,
  rootPath,
  filePattern
}) => {
  (0, _reactBlessed.createBlessedRenderer)(_neoBlessed.default)( /*#__PURE__*/_react.default.createElement(_app.AppContainer, {
    screen: screen,
    name: projectPkg.name,
    version: projectPkg.version,
    requireModules: requireModules,
    filePattern: filePattern,
    rootPath: (0, _path.join)(process.cwd(), rootPath)
  }), screen);
};

exports.default = _default;