"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIDebug = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _m = require("@mutant-ws/m");

var style = _interopRequireWildcard(require("./debug.style"));

/* eslint-disable react/forbid-prop-types */
const UIDebug = ({
  label,
  value,
  top,
  left,
  width,
  height
}) => {
  return /*#__PURE__*/_react.default.createElement("box", {
    class: style.debug,
    label: label,
    top: top,
    left: left,
    width: width,
    height: height,
    content: (0, _m.pipe)(Object.entries, (0, _m.map)(([entryKey, entryValue]) => `${entryKey}: ${JSON.stringify(entryValue)}`), (0, _m.join)("\n"))(value)
  });
};

exports.UIDebug = UIDebug;
UIDebug.propTypes = {
  label: _propTypes.default.string.isRequired,
  value: _propTypes.default.object.isRequired,
  top: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  left: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  width: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  height: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number])
};
UIDebug.defaultProps = {
  top: "center",
  left: "center",
  width: "50%",
  height: "50%"
};