"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIInput = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _m = require("@mutant-ws/m");

var _input = require("./input.style");

const UIInput = ({
  value,
  label,
  top,
  left,
  width,
  onChange,
  onSubmit,
  onCancel
}) => {
  const inputRef = (0, _react.useRef)();
  const handleInputAdd = (0, _react.useCallback)(code => {
    onChange(`${value}${code}`);
  }, [value, onChange]);
  const handleInputPop = (0, _react.useCallback)(() => {
    onChange(value.substr(0, value.length - 1));
  }, [value, onChange]);
  (0, _react.useEffect)(() => {
    if ((0, _m.is)(inputRef.current)) {
      inputRef.current.focus();
    }
  }, []);
  return /*#__PURE__*/_react.default.createElement("element", {
    keyable: true,
    class: _input.wrapperStyle,
    width: width,
    top: top,
    left: left
  }, !(0, _m.isEmpty)(label) && /*#__PURE__*/_react.default.createElement("box", {
    class: _input.labelStyle,
    width: label.length,
    content: label
  }), /*#__PURE__*/_react.default.createElement("textbox", {
    ref: inputRef,
    class: _input.inputStyle,
    left: label.length // inputOnFocus={true}
    ,
    width: `100%-${label.length + 4}`,
    content: value,
    onKeypress: (code, key) => {
      if (!(0, _m.isEmpty)(code) && /[\d .=A-Za-z\-]/.test(code)) {
        handleInputAdd(code);
      }

      if (key.full === "backspace") {
        handleInputPop();
      }
    },
    onSubmit: onSubmit,
    onBlur: () => (0, _m.is)(onCancel) && onCancel()
  }));
};

exports.UIInput = UIInput;
UIInput.propTypes = {
  value: _propTypes.default.string,
  label: _propTypes.default.string,
  top: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  left: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  width: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  onChange: _propTypes.default.func.isRequired,
  onSubmit: _propTypes.default.func.isRequired,
  onCancel: _propTypes.default.func.isRequired
};
UIInput.defaultProps = {
  value: "",
  label: "",
  top: "center",
  left: "center",
  width: "50%"
};