"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIListItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _figures = _interopRequireDefault(require("figures"));

var style = _interopRequireWildcard(require("./list__item.style"));

const UIListItem = ({
  label,
  code,
  top,
  isSelected,
  isLoading
}) => {
  const color = isLoading ? "{blue-fg}" : code === -1 ? "{white-fg}" : code === 0 ? "{green-fg}" : "{red-fg}";
  const underline = isSelected ? "{underline}" : "";
  return /*#__PURE__*/_react.default.createElement("box", {
    class: [style.item, isSelected && style.selected],
    top: top,
    keyable: false,
    content: `${color}{bold}${_figures.default.squareSmallFilled}{/} ${underline}${label}{/}`
  });
};

exports.UIListItem = UIListItem;
UIListItem.propTypes = {
  label: _propTypes.default.string.isRequired,
  code: _propTypes.default.number,
  top: _propTypes.default.string.isRequired,
  isSelected: _propTypes.default.bool,
  isLoading: _propTypes.default.bool
};
UIListItem.defaultProps = {
  code: -1,
  isSelected: false,
  isLoading: false
};