"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UITitle = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

const UITitle = ({
  name,
  version
}) => {
  const [memory, setMemory] = (0, _react.useState)(process.memoryUsage().rss);
  (0, _react.useEffect)(() => {
    const memoryTimer = setInterval(() => {
      setMemory(process.memoryUsage().rss);
    }, 1000);
    return () => clearInterval(memoryTimer);
  }, []);
  return /*#__PURE__*/_react.default.createElement("box", {
    tags: true,
    top: "0",
    right: "0",
    width: "50%",
    content: `{right}${name} v${version} | ${`${Math.round(memory / 1048576)}MB`}{/right}`
  });
};

exports.UITitle = UITitle;
UITitle.propTypes = {
  name: _propTypes.default.string.isRequired,
  version: _propTypes.default.string.isRequired
};